/// <reference types="react" />
import * as React from 'react';
import { FullTsAppRoute } from './FullTsAppConfig';
import { RouteComponentProps } from 'react-router';
import FullTsApp from './FullTsApp';
export interface FullTsRouteRenderProps {
    app: FullTsApp;
    route: FullTsAppRoute;
    routeProps: RouteComponentProps<any>;
    thisIsLayout?: boolean;
}
export interface FullTsRouteRenderState {
    componentClass?: React.ComponentClass;
}
export default class FullTsRouteRender extends React.Component<FullTsRouteRenderProps, FullTsRouteRenderState> {
    private renderId;
    constructor(props: FullTsRouteRenderProps, context?: any);
    componentWillMount(): void;
    componentWillUpdate(nextProps: FullTsRouteRenderProps, nextState: FullTsRouteRenderState): void;
    private loadedComponentClass;
    private loadComponentClass(func);
    private isDynamicImport(component);
    render(): any;
}
